﻿import es
import keyvalues
import langlib
import os
import playerlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"
skins_folder = "cstrike/models/player"

texts = langlib.Strings(lang_dir + "admin/settings/popup_admin_settings_skins.ini")
messages = langlib.Strings(lang_dir + "admin/settings/messages_settings_skins.ini")
messages_common = langlib.Strings(lang_dir + "messages_common.ini")

popup = popuplib.create("sm_popup_admin_settings_skins")

settings = ["t", "ct", "t_gk", "ct_gk"]

# ******************** Load ********************
def load():
	for item in settings:
		es.set("sm_skins_default_%s" % (item), es.keygetvalue("soccer_mod_settings", "skins", "default_%s" % (item)))

	create_popup()

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings(lang_dir + "popup_common.ini")

	popup.addline("SOCCER MOD %s" % (texts("title")))
	popup.addline(" ")

	for i in range(0, len(settings)):
		value = str(es.ServerVar("sm_skins_default_%s" % (settings[i])))
		popup.addline("->%s. %s: %s" % (i + 1, texts(settings[i]), value[14:len(value)]))
		popup.select(i + 1, change_setting)

	popup.addline("->5. Set personal terrorist skin")
	popup.addline("->6. Set personal counter-terrorist skin")
	popup.addline("->7. Remove personal skin")
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("->0. %s" % (common("close")))

	popup.select(5, change_personal)
	popup.select(6, change_personal)
	popup.select(7, remove_personal)
	popup.submenu(8, "sm_popup_admin_settings_skins")
	popup.submenu(9, "sm_popup_admin_settings")

# ******************** Popup choice ********************
def change_setting(userid, choice, popupid):
	name = "sm_popup_%s" % (userid)
	if popuplib.exists(name):
		popuplib.delete(name)

	value = str(skins_folder)
	if choice == 1:
		open_path(name, value, "tp")
	elif choice == 2:
		open_path(name, value, "cp")
	elif choice == 3:
		open_path(name, value, "tg")
	elif choice == 4:
		open_path(name, value, "cg")

	popuplib.send(name, userid)

def change_personal(userid, choice, popupid):
	name = "sm_popup_%s" % (userid)
	if popuplib.exists(name):
		popuplib.delete(name)

	myPopup = popuplib.easymenu(name, None, select_player)

	myPopup.settitle("Select a player")

	for ply in playerlib.getPlayerList("#human"):
		myPopup.addoption("%s_%s" % (choice, ply.userid), ply.name)

	myPopup.submenu(10, "sm_popup_admin_settings_skins")

	popuplib.send(name, userid)

def remove_personal(userid, choice, popupid):
	name = "sm_popup_%s" % (userid)
	if popuplib.exists(name):
		popuplib.delete(name)

	myPopup = popuplib.easymenu(name, None, remove)

	myPopup.settitle("Remove personal skin")

	skins = keyvalues.getKeyGroup("soccer_mod_skins")
	for item in skins:
		myPopup.addoption(item, es.keygetvalue("soccer_mod_skins", item, "name"))

	myPopup.submenu(10, "sm_popup_admin_settings_skins")

	popuplib.send(name, userid)

# ******************** Easymenu choice ********************
def set_skin(userid, choice, keymenuname):
	name = "sm_popup_%s" % (userid)
	if popuplib.exists(name):
		popuplib.delete(name)

	length = len(choice)

	type = choice.split("_")
	if type[0] == "dir":
		open_path(name, choice[7:length], type[1])

		popuplib.send(name, userid)
	else:
		player = playerlib.getPlayer(userid)
		value = choice[16:length]

		tokens = {}
		tokens["name"] = player.name
		tokens["value"] = value[14:len(value)]

		if type[1] == "tp":
			es.set("sm_skins_default_t", value)
			es.keysetvalue("soccer_mod_settings", "skins", "default_t", value)

			line = "->1. %s: %s" % (texts("t"), value[14:len(value)])
			popup.modline(3, line)

			lang_msg("t", tokens)

		elif type[1] == "cp":
			es.set("sm_skins_default_ct", value)
			es.keysetvalue("soccer_mod_settings", "skins", "default_ct", value)

			line = "->2. %s: %s" % (texts("ct"), value[14:len(value)])
			popup.modline(4, line)

			lang_msg("ct", tokens)

		elif type[1] == "tg":
			es.set("sm_skins_default_t_gk", value)
			es.keysetvalue("soccer_mod_settings", "skins", "default_t_gk", value)

			line = "->3. %s: %s" % (texts("t_gk"), value[14:len(value)])
			popup.modline(5, line)

			lang_msg("t_gk", tokens)

		elif type[1] == "cg":
			es.set("sm_skins_default_ct_gk", value)
			es.keysetvalue("soccer_mod_settings", "skins", "default_ct_gk", value)

			line = "->4. %s: %s" % (texts("ct_gk"), value[14:len(value)])
			popup.modline(6, line)

			lang_msg("ct_gk", tokens)

		elif type[1] == "pt":
			if es.exists("keygroup", "soccer_mod_skins") == 0:
				es.keygroupcreate("soccer_mod_skins")

			steamid = es.keygetvalue("sm_keygroup_set", player.steamid, "steamid")
			name = es.keygetvalue("sm_keygroup_set", player.steamid, "name")

			if es.exists("key", "soccer_mod_skins", steamid) == 0:
				es.keycreate("soccer_mod_skins", steamid)

			es.keysetvalue("soccer_mod_skins", steamid, "name", name)
			es.keysetvalue("soccer_mod_skins", steamid, "t", value)

			es.server.cmd("keygroupsort soccer_mod_skins name asc #alpha")
			es.keygroupsave("soccer_mod_skins", "soccer_mod")

			es.keydelete("sm_keygroup_set", player.steamid)

			es.tell(userid, "#green", "%s now has %s as personal terrorist skin." % (name, tokens["value"]))

		elif type[1] == "pc":
			if es.exists("keygroup", "soccer_mod_skins") == 0:
				es.keygroupcreate("soccer_mod_skins")

			steamid = es.keygetvalue("sm_keygroup_set", player.steamid, "steamid")
			name = es.keygetvalue("sm_keygroup_set", player.steamid, "name")

			if es.exists("key", "soccer_mod_skins", steamid) == 0:
				es.keycreate("soccer_mod_skins", steamid)

			es.keysetvalue("soccer_mod_skins", steamid, "name", name)
			es.keysetvalue("soccer_mod_skins", steamid, "ct", value)

			es.server.cmd("keygroupsort soccer_mod_skins name asc #alpha")
			es.keygroupsave("soccer_mod_skins", "soccer_mod")

			es.keydelete("sm_keygroup_set", player.steamid)

			es.tell(userid, "#green", "%s now has %s as personal counter-terrorist skin." % (name, tokens["value"]))

		es.keygroupsave("soccer_mod_settings", "soccer_mod")

		popuplib.send("sm_popup_admin_settings_skins", userid)

def select_player(userid, choice, popupname):
	tokens = {}
	player = playerlib.getPlayer(userid)

	name = "sm_popup_%s" % (userid)
	if popuplib.exists(name):
		popuplib.delete(name)

	type = choice.split("_")
	if es.exists("userid", type[1]) == 1:
		target = playerlib.getPlayer(type[1])

		if es.exists("key", "sm_keygroup_set", player.steamid) == 0:
			es.keycreate("sm_keygroup_set", player.steamid)

		es.keysetvalue("sm_keygroup_set", player.steamid, "name", target.name)
		es.keysetvalue("sm_keygroup_set", player.steamid, "steamid", target.steamid)

		value = str(skins_folder)
		if int(type[0]) == 5:
			open_path(name, value, "pt")
		elif int(type[0]) == 6:
			open_path(name, value, "pc")

		popuplib.send(name, userid)
	else:
		es.tell(userid, "#green", messages_common("no_player_found", tokens, player.get("lang")))
		popuplib.send("sm_popup_admin_settings_skins", userid)

def remove(userid, choice, keymenuname):
	if es.exists("key", "soccer_mod_skins", choice) == 1:
		es.keydelete("soccer_mod_skins", choice)
		es.keygroupsave("soccer_mod_skins", "soccer_mod")

		es.tell(userid, "#green", "Personal skin removed.")
	else:
		es.tell(userid, "#green", "Personal skin not found.")

	popuplib.send("sm_popup_admin_settings_skins", userid)

# ******************** Functions ********************
def open_path(name, path, team):
	myPopup = popuplib.easymenu(name, None, set_skin)
	myPopup.settitle(texts("select"))

	dirup = path.split("/")

	length = len(dirup) - 1
	dir = ""
	for i in range(0, length):
		if i < (length - 1):
			dir += dirup[i] + "/"
		else:
			dir += dirup[i]

	value = str(skins_folder)
	if path != value:
		myPopup.addoption("dir_" + team + "_" + dir, "^ " + texts("up") + " ^")

	list = os.listdir(path)
	list.sort()
	for item in list:
		if os.path.isdir(path + "/" + item) == True:
			myPopup.addoption("dir_" + team + "_" + path + "/" + item, "(" + texts("folder") + ") " + item)

	list = os.listdir(path)
	list.sort()
	for item in list:
		if os.path.isdir(path + "/" + item) == False:
			type = item.split(".")
			length = len(type) - 1
			if type[length] == "mdl":
				myPopup.addoption("file_" + team + "_" + path + "/" + item, item)

	myPopup.submenu(10, "sm_popup_admin_settings_skins")

def lang_msg(text, tokens):
	for player in playerlib.getPlayerList("#human"):
		es.tell(player.userid, "#green", messages(text, tokens, player.get("lang")))

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_settings_skins")