﻿import es
import langlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"
popup_name = "sm_popup_info_leagues"

common = langlib.Strings(lang_dir + "popup_common.ini")
text = langlib.Strings(lang_dir + "info/popup_info_leagues.ini")

# ******************** Load ********************
def load():
	create_popup_leagues()
	create_popup_leagues_acssl()
	create_popup_leagues_bcssl()
	create_popup_leagues_ssl()
	create_popup_leagues_rsl()
	create_popup_leagues_xsl()

# ******************** Create popup ********************
def create_popup_leagues():
	popup = popuplib.create(popup_name)

	popup.addline(text("title"))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("acssl")))
	popup.addline("->2. %s" % (text("bcssl")))
	popup.addline("->3. %s" % (text("ssl")))
	popup.addline("->4. %s" % (text("rsl")))
	popup.addline("->5. %s" % (text("xsl")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.submenu(1, popup_name + "_acssl")
	popup.submenu(2, popup_name + "_bcssl")
	popup.submenu(3, popup_name + "_ssl")
	popup.submenu(4, popup_name + "_rsl")
	popup.submenu(5, popup_name + "_xsl")

	for i in range(6, 9):
		popup.submenu(i, popup_name)

	popup.submenu(9, "sm_popup_info")

def create_popup_leagues_acssl():
	popup = popuplib.create(popup_name + "_acssl")

	popup.addline(text("title_acssl"))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("location"), text("australia")))
	popup.addline("%s: http://www.acssl.com" % (text("website")))
	popup.addline("%s: http://steamcommunity.com/groups/acssl" % (text("public")))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("open")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, open_website)

	for i in range(2, 9):
		popup.submenu(i, popup_name + "_acssl")

	popup.submenu(9, popup_name)

def create_popup_leagues_bcssl():
	popup = popuplib.create(popup_name + "_bcssl")

	popup.addline(text("title_bcssl"))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("location"), text("brazil")))
	popup.addline("%s: http://bcssl.webs.com" % (text("website")))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("open")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, open_website)

	for i in range(2, 9):
		popup.submenu(i, popup_name + "_bcssl")

	popup.submenu(9, popup_name)

def create_popup_leagues_ssl():
	popup = popuplib.create(popup_name + "_ssl")

	popup.addline(text("title_ssl"))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("location"), text("north_america")))
	popup.addline("%s: http://www.psl-source.com" % (text("website")))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("open")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, open_website)

	for i in range(2, 9):
		popup.submenu(i, popup_name + "_ssl")

	popup.submenu(9, popup_name)

def create_popup_leagues_rsl():
	popup = popuplib.create(popup_name + "_rsl")

	popup.addline(text("title_rsl"))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("location"), text("russia")))
	popup.addline("%s: http://www.rsleague.ru" % (text("website")))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("open")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, open_website)

	for i in range(2, 9):
		popup.submenu(i, popup_name + "_rsl")

	popup.submenu(9, popup_name)

def create_popup_leagues_xsl():
	popup = popuplib.create(popup_name + "_xsl")

	popup.addline(text("title_xsl"))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("location"), text("europe")))
	popup.addline("%s: http://www.xsleague.com" % (text("website")))
	popup.addline("%s: http://steamcommunity.com/groups/XSL-P" % (text("public")))
	popup.addline("%s: http://steamcommunity.com/groups/XSL" % (text("staff")))
	popup.addline(" ")
	popup.addline("->1. %s" % (text("open")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	popup.select(1, open_website)

	for i in range(2, 9):
		popup.submenu(i, popup_name + "_xsl")

	popup.submenu(9, popup_name)

# ******************** Functions ********************
def open_website(userid, choice, popupname):
	if popupname == "sm_popup_info_leagues_acssl":
		cmd = 'usermsg motd %s 2 "%s" "http://www.acssl.com"' % (userid, text("acssl"))
	elif popupname == "sm_popup_info_leagues_bcssl":
		cmd = 'usermsg motd %s 2 "%s" "http://bcssl.webs.com"' % (userid, text("bcssl"))
	elif popupname == "sm_popup_info_leagues_ssl":
		cmd = 'usermsg motd %s 2 "%s" "http://www.psl-source.com"' % (userid, text("ssl"))
	elif popupname == "sm_popup_info_leagues_ssl":
		cmd = 'usermsg motd %s 2 "%s" "http://www.rsleague.ru"' % (userid, text("rsl"))
	elif popupname == "sm_popup_info_leagues_xsl":
		cmd = 'usermsg motd %s 2 "%s" "http://www.xsleague.com"' % (userid, text("xsl"))

	es.server.queuecmd(cmd)

	popuplib.send(popupname, userid)

def delete_popup(name):
	if popuplib.exists(name):
		popuplib.delete(name)

# ******************** Unload ********************
def unload():
	delete_popup(popup_name)
	delete_popup(popup_name + "_acssl")
	delete_popup(popup_name + "_bcssl")
	delete_popup(popup_name + "_ssl")
	delete_popup(popup_name + "_rsl")
	delete_popup(popup_name + "_xsl")